aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2012-10-25 01:47:39 +0200
committerMattias Andrée <maandree@operamail.com>2012-10-25 01:47:39 +0200
commit96abf11f46d9fc39593fbc1e92e372c9d864f037 (patch)
treece15c667a30e320e5c2dd806571329758dfd0cae
parent351c7debb7506a17928244e9ecbb757d87b9d86f (diff)
downloadponysay-96abf11f46d9fc39593fbc1e92e372c9d864f037.tar.gz
ponysay-96abf11f46d9fc39593fbc1e92e372c9d864f037.tar.bz2
ponysay-96abf11f46d9fc39593fbc1e92e372c9d864f037.zip
python3 is also required for building, not just running
-rwxr-xr-xdependency-test.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/dependency-test.sh b/dependency-test.sh
index 3c5301b..ec97d29 100755
--- a/dependency-test.sh
+++ b/dependency-test.sh
@@ -23,13 +23,14 @@ ro=0
(hash makeinfo 2>/dev/null) || (bo=1 ; echo 'Missing makeinfo, install texinfo [build optional]')
(hash install-info 2>/dev/null) || (bo=1 ; echo 'Missing install-info, install info [build optional]')
-(hash stty 2>/dev/null) || (rr=1 ; echo 'Missing stty, install coreutils [runtime required]')
-(hash python 2>/dev/null) || (rr=1 ; echo 'Missing python, install python>=3 [runtime required]')
+(hash python 2>/dev/null) || (rr=1 ; echo 'Missing python, install python>=3 [build+runtime required]')
(hash cut 2>/dev/null) && (hash python 2>/dev/null) &&
(test ! $(env python --version 2>&1 | cut -d ' ' -f 2 | cut -d '.' -f 1) = 3) && (
(hash python3 2>/dev/null) ||
- (rr=1 ; echo 'Missing python>=3, install python (may be named python3) [runtime required]'))
+ (rr=1 ; echo 'Missing python>=3, install python (may be named python3) [build+runtime required]'))
+
+(hash stty 2>/dev/null) || (rr=1 ; echo 'Missing stty, install coreutils [runtime required]')
(hash tty2colourfultty 2>/dev/null) || (ro=1 ; echo 'Missing tty2colourfultty, install util-say [runtime optional]')
(hash ponysay2ttyponysay 2>/dev/null) || (ro=1 ; echo 'Missing ponysay2ttyponysay, install util-say [runtime optional]')